features:
  primary:
    - name: "Skip outdated deployment jobs"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/pipelines/settings.html#skip-outdated-deployment-jobs'
      image_url: '/images/12_9/older_job.png'
      reporter: ogolowinski
      stage: release
      categories:
        - 'Continuous Delivery'
        - 'Incremental Rollout'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/25276'
      description: |
        Before GitLab 12.9, users trying to roll out a pipeline could encounter a situation where an older and delayed pipeline would deploy after a newer deployment and override it. Now, forward deployments provide the option to ensure that when a pipeline runs, it is verified to be the most recent deployment and makes sure that an older pipeline doesn't override a newer one.
